Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.parser
Class PdfContentStreamProcessor.MoveNextLineAndShowText

    java.lang.Object
      com.lowagie.text.pdf.parser.PdfContentStreamProcessor.MoveNextLineAndShowText

All Implemented Interfaces:
  ContentOperator

Enclosing class:
  PdfContentStreamProcessor

    private static class PdfContentStreamProcessor.MoveNextLineAndShowText

extends Object
implements ContentOperator

A content operator implementation (').

Field Summary
`private PdfContentStreamProcessor.ShowText` | `showText`
`private PdfContentStreamProcessor.TextMoveNextLine` | `textMoveNextLine`

Constructor Summary
`PdfContentStreamProcessor.MoveNextLineAndShowText(PdfContentStreamProcessor.TextMoveNextLine textMoveNextLine, PdfContentStreamProcessor.ShowText showText)`

Method Summary
`void` | `invoke(PdfContentStreamProcessor processor, PdfLiteral operator, ArrayList operands)` Invokes a content operator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textMoveNextLine

    private final PdfContentStreamProcessor.TextMoveNextLine textMoveNextLine

### showText

    private final PdfContentStreamProcessor.ShowText showText

Constructor Detail

### PdfContentStreamProcessor.MoveNextLineAndShowText

    public PdfContentStreamProcessor.MoveNextLineAndShowText(PdfContentStreamProcessor.TextMoveNextLine textMoveNextLine,
                                                             PdfContentStreamProcessor.ShowText showText)

Method Detail

### invoke

    public void invoke(PdfContentStreamProcessor processor,
                       PdfLiteral operator,
                       ArrayList operands)

  Description copied from interface: `ContentOperator`
  Invokes a content operator.

  Specified by:
    `invoke` in interface `ContentOperator`
  Parameters:
    `processor` - the processor that is dealing with the PDF content
    `operator` - the literal PDF syntax of the operator
    `operands` - the operands that come with the operator

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD